Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5760)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5761)
@@ -1,29 +1,34 @@
-# Copy to ./${NEMO_HPCC}.cfg, fill in according to your installation
+## Copy to ./${NEMO_HPCC}.cfg, fill in according to your machine
 
-# Super-computer configuration
+## Super-computer configuration
 
-# Available softwares:
-CDO=''           			  # CDO (Climate Data Operators) (string appears in $LOADEDMODULES or $PATH)
-                                             # ex: 'cdo'/'nco'/...
-COMPILER=''      			  # Fortran compiler (use with `$COMPILER --version`)
-                                             # ex: 'ifort'/'gfortran'/'pgfortran'/...
-MPI=''           			  # MPI    libraries             (   " "     ""  ""       ""       ""  " " )
-                                             # ex: 'opempi'/'mpich'/...
-NETCDF=''        			  # NetCDF    " "                (   " "     ""  ""       ""       ""  " " )
-                                             # ex: 'netcdf42'/'netcdf-parallel'/...
 
-# Job commands (works with job ID):
-JOB_SUBM=''   	 			  # Submit a job && get his ID in return
-                                             # ex: "cmd ${NEMO_TRUS}/batch/${NEMO_HPCC}.sh | awk '{print \$NF}'"
-JOB_LIST=''    	 			  # List all submitted jobs (use with `grep` to determine if a job is completed or not)
-JOB_INFO=''   	 			  # Get job informations    (" "  ""  job ID as argument)
-JOB_TIME=''                               # Get real CPU time computation with `eval "${JOB_INFO} ${JOB_ID} | ${JOB_TIME}"`
-                                             # ex: "awk '/opa/ END{print \$9}'"
-JOB_DELE=''   	 			  # Kill submitted job      (" "  ""  " " "" ""    ""   )
+## Architecture environment
+ARCH_ENV=''    ##  (be careful with compliance with XIOS)
+                  ## ex: "${DIR_XIOS}/arch/arch-${NEMO_HPCC}.env"
 
-# Compiling & computing settings
-[ -z "$NPROC"       ] && NPROC=1          # Processing units for compilation
-[ -z "${TIME_LIMI}" ] && TIME_LIMI=''     # Utmost time in seconds to wait for completed job
 
-# Architecture environment (be careful with compliance with XIOS)
-ARCH_ENV=''                               # ${DIR_XIOS}/arch/arch-${NEMO_HPCC}.env
+## Available softwares (pattern to search before release number):
+CDO=''         ## CDO (Climate Data Operators) (string appears in $LOADEDMODULES or $PATH)
+                  ## ex: 'cdo'/'nco'/...
+COMPILER=''    ## Fortran compiler (use with `$COMPILER --version`)
+                  ## ex: 'ifort'/'gfortran'/'pgfortran'/...
+MPI=''         ## MPI    libraries             (   " "     ""  ""       ""       ""  " " )
+                  ## ex: 'opempi'/'mpich'/...
+NETCDF=''      ## NetCDF    " "                (   " "     ""  ""       ""       ""  " " )
+                  ## ex: 'netcdf42'/'netcdf-parallel'/...
+
+
+## Job commands (works with job ID):
+JOB_SUBM=''    ## Submit a job && get his ID in return
+                  ## ex: "cmd ${NEMO_TRUS}/batch/${NEMO_HPCC}.sh | awk '{print \$NF}'"
+JOB_LIST=''    ## List all submitted jobs to determine if a job is completed or not
+JOB_INFO=''    ## Get job informations to fill in a log file (job ID as argument)
+JOB_TIME=''    ## Get real CPU time computation with `eval "${JOB_INFO} ${JOB_ID} | ${JOB_TIME}"`
+                  ## ex: "awk '/opa/ END{print \$9}'"
+JOB_DELE=''    ## Kill submitted job (job ID as argument)
+
+
+## Compiling & computation
+[ -z "$NPROC"       ] && NPROC=1         ## Processing units for compilation
+[ -z "${TIME_LIMI}" ] && TIME_LIMI=''    ## Utmost time in seconds to wait for completed job
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg	(revision 5760)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg	(revision 5761)
@@ -1,3 +1,3 @@
-## Copy to ./${CFG_USER}.cfg, fill in according to your installation
+## Copy to ./${NEMO_USER}.cfg, fill in according to your installation
 
 ## User configuration
@@ -12,41 +12,45 @@
 
 ## NEMO overall installation:
-[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=''     ## NEMO SVN branch         to test
-                                             ## ex: 'trunk', 'nemo_v3_6_STABLE', ...
-NEMO_HOME=''                              ## NEMOGCM directory (includes ./ARCH, ./CONFIG, ...)
-                                             ## ex: "${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM", ...
+[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=''    ## NEMO SVN branch to test
+                                            ## ex: 'trunk', 'nemo_v3_6_STABLE', ...
+NEMO_HOME=''                             ## NEMOGCM directory (includes ./ARCH, ./CONFIG, ...)
+                                            ## ex: "${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM", ...
 ## ${NEMO_BRAN} must be consistent with URL branch that have been checkout by SVN to build ${NEMO_HOME}
 
+
 ### Reference/'Trusting' configuration
-[ -z "${REFE_CONF}" ] && REFE_CONF=''     ## Reference configuration to test
-                                             ## ex: 'ORCA2_LIM_PISCES', 'GYRE', ...
-TEST_CONF=${REFE_CONF}'_trust'            ## Testing configuration name
-KEYS_ADD=''; KEYS_DEL=''                  ## CPP keys to add or remove from reference configuration
-                                             ## ex: "key_mpp_rep key_tide", ...
+[ -z "${REFE_CONF}" ] && REFE_CONF=''    ## Reference configuration to test
+                                            ## ex: 'ORCA2_LIM_PISCES', 'GYRE', ...
+TEST_CONF=''                             ## Testing configuration name
+KEYS_ADD=''; KEYS_DEL=''                 ## CPP keys to add or remove from reference configuration
+                                            ## ex: 'key_mpp_rep key_tide', ...
 #if [ ${REFE_CONF} == '' ]; then
 #    TEST_CONF=''
 #    KEYS_ADD='key_add ...' && KEYS_DEL='key_del ...'
+#elif ...
+#else ...
 #fi
 
+
 ### Inputs
-NEMO_FORC=''                              ## Directory with forcing archive from DODS/ESGF server to extract or
-                                          ##    " "     ""  all inputs files to copy into ${TEST_DIR}
-[ -z "${NEMO_TARF}" ] && NEMO_TARF=''     ## Archive inputs name, let blank if not requested
-                                             ## ex: 'ORCA2_LIM_nemo_v3.6.tar', 'AMM12_v3.6.tar', ...
+NEMO_FORC=''                             ## Directory with forcing archive from DODS/ESGF server to extract or
+                                         ##    " "     ""  all inputs files to copy into ${TEST_DIR}
+[ -z "${NEMO_TARF}" ] && NEMO_TARF=''    ## Archive inputs name, let blank if not requested
+                                            ## ex: 'ORCA2_LIM_nemo_v3.6.tar', 'AMM12_v3.6.tar', ...
 #[ ${REFE_CONF} == '' ] && NEMO_TARF=''
 
 
 ## Comparative directories path:
-REFE_DIR=''			      	  ## "Standard" folder where benchmark result files have been stored for comparison
-                                             ## ex: "${DIR_STOR}/${REFE_CONF}/${NEMO_BRAN}"
-TEST_DIR=''			      	  ## Testing    folder for computation
-                                             ## ex: "${DIR_SCRA}/${REFE_CONF}/${NEMO_BRAN}/trusting_${DATE}"
+REFE_DIR=''			      	 ## "Standard" folder where benchmark result files have been stored for comparison
+                                            ## ex: "${DIR_STOR}/${REFE_CONF}/${NEMO_BRAN}"
+TEST_DIR=''			      	 ## Testing    folder for computation
+                                            ## ex: "${DIR_SCRA}/${REFE_CONF}/${NEMO_BRAN}/trusting_${DATE}"
 
 
 ## External softs directories:
-DIR_XIOS=''			      	     ## ex: '${DIR_WORK}/XIOS/xios-1.0'
-#DIR_OASI=''			      	     ## ex: '${DIR_WORK}/OASIS'
+DIR_XIOS=''			      	    ## ex: '${DIR_WORK}/XIOS/xios-1.0'
+#DIR_OASI=''			      	    ## ex: '${DIR_WORK}/OASIS'
 
 
-## Mailing list to inform of a failure (-p|--publish option required)
+## Mailing list to inform of a failure (-p|--publish required)
 [ -z "$EMAIL"] && EMAIL=''
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5760)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5761)
@@ -58,5 +58,5 @@
 
 else
-    cat ${NEMO_TRUS}/${help_file}
+    cat ${NEMO_TRUS}/${trus_help}
     exit 1
 fi
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_help.txt
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_help.txt	(revision 5760)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_help.txt	(revision 5761)
@@ -1,22 +1,31 @@
-----------------------------------------------------------------------------
-Usage: trusting [-h] [-d] [-p] configuration
+Usage: ./trusting.sh -m $ARCH -u $USER [OPTIONS]
+Launch trusting test on $ARCH machine from $USER installation
+Example: './trusting.sh -m X64_CURIE -u romr005 -p -b nemo_v3_6_STABLE'
 
-# ($ARCH & ./cfg/$ARCH.cfg file and at least arch-$ARCH.fcm file in NEMO ARCH dir are mandatory)
+Mandatory (default settings):
+    Files to source in ./config ($ARCH.cfg & $USER.cfg)
+    -m,--machine    Architecture settings (environment configuration)
+    -u,--user       User            ""    (NEMO directories & settings)		   
 
-Options:
-   -h, --help, -help
-       Print this manual
-   -d, --debug
-       set -v
-   -p, --publish
-       Publish on dods server
+SVN working copy:
+    -b,--branch	    SVN branch to test (trunk|nemo_v3_6_STABLE|...
+    -v,--version    Action on working copy ('svn status' by default)
+  		       	'{'YYYY-MM-DD'}' Update to revision available at this date
+		       	[0-9]*	           ""   "" revision number
+		       	HEAD|up|update     ""   "" last revision
+		       	st|status	 Show differences with repository
 
-Examples:"
-   $ trusting -p IPSLCM5A
+NEMO Configuration:
+    -a,--archive    Forcing input files archive to extract downloaded from ESGF/DODS server 
+    -n,--newconf    Testing   configuration created in ./CONFIG
+    -r,--refconf    Reference      " "     
 
-Notes:
-   - To reset the trusting dashboard, type manually :
-     $ rm -rf $CCCWORKDIR/trusting/configuration
-     $ rm -rf $CCCWORKDIR/../../dods/public/${LOGNAME}/trusting/configuration
-   - Output will be saved at :
-     $ ls $CCCSTOREDIR/IGCM_OUT
+Compiling & computation:
+    -j,--job        Number of processes for compiling
+    -t,--time       Timeout for computation (s)
+
+Output control:
+    -d,--debug      Verbose output for debugging purpose (`set -vx`)
+    -e,--email      Email trusting digest report to following addresses only on failure
+    -h,--help       Print this help & exit
+    -p,--publish    Share trusting result