Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplhsb.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplhsb.F90	(revision 5834)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplhsb.F90	(revision 5835)
@@ -82,4 +82,5 @@
       pvol_flx(:,:,:  ) = 0.0_wp
       pts_flx (:,:,:,:) = 0.0_wp
+      r1_tiscpl = 1._wp / (prdt_iscpl * rn_rdt) 
 
       ! mask tsn and tsb 
@@ -87,10 +88,12 @@
       tsb(:,:,:,jp_sal)=tsb(:,:,:,jp_sal)*ptmask_b(:,:,:); tsn(:,:,:,jp_sal)=tsn(:,:,:,jp_sal)*tmask(:,:,:);
 
-      ! diagnose non conservation of heat, salt and volume 
-      r1_tiscpl = 1._wp / (prdt_iscpl * rn_rdt) 
-
+      !==============================================================================
+      ! diagnose the heat, salt and volume input and compute the correction variable
+      !==============================================================================
+
+      ! 
       zssh0(:,:)        = sshn(:,:) * ssmask(:,:) - sshb(:,:) * psmask_b(:,:)
       IF ( lk_vvl ) zssh0 = 0.0_wp ! already include in the levels by definition
-
+      
       DO jk = 1,jpk-1
          DO ji = 2,jpi-1
@@ -119,6 +122,6 @@
                   pts_flx (ji,jj,jk,jp_tem)=   pts_flx (ji,jj,jk,jp_tem) + zdtem(ji,jj) * r1_tiscpl
 
+                  ! case where we close a cell: check if the neighbour cells are wet 
                   IF ( tmask(ji,jj,jk) == 0._wp .AND. ptmask_b(ji,jj,jk) == 1._wp ) THEN
-                     ! case where we close a cell: check if the neighbour cells are wet 
 
                      jip1=ji+1 ; jim1=ji-1 ; jjp1=jj+1 ; jjm1=jj-1 ;
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90	(revision 5834)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90	(revision 5835)
@@ -8,6 +8,6 @@
 
    !!----------------------------------------------------------------------
-   !!   iscpl_rst          : restart correction    in case of coupling with ice sheet
-   !!   iscpl_rst_interpol : restart interpolation in case of coupling with ice sheet
+   !!   iscpl_init     : initialisation routine (namelist)
+   !!   iscpl_alloc    : allocation of correction variables
    !!----------------------------------------------------------------------
    USE dom_oce         ! ocean space and time domain
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplrst.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplrst.F90	(revision 5834)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplrst.F90	(revision 5835)
@@ -8,4 +8,5 @@
 
    !!----------------------------------------------------------------------
+   !!   iscpl_stp          : step management
    !!   iscpl_rst_interpol : restart interpolation in case of coupling with ice sheet
    !!----------------------------------------------------------------------
@@ -68,8 +69,8 @@
       CALL iom_get( numror, jpdom_autoglo, 'vmask'  , zvmask_b   ) ! need to correct barotropic velocity
       CALL iom_get( numror, jpdom_autoglo, 'smask'  , zsmask_b   ) ! need to correct barotropic velocity
-      CALL iom_get( numror, jpdom_autoglo, 'fse3t_n', ze3t_b(:,:,:) ) ! need to compute temperature correction
-      CALL iom_get( numror, jpdom_autoglo, 'fse3u_n', ze3u_b(:,:,:) ) ! need to compute volume      correction  ????
-      CALL iom_get( numror, jpdom_autoglo, 'fse3v_n', ze3v_b(:,:,:) ) ! need to compute volume      correction  ????
-      CALL iom_get( numror, jpdom_autoglo, 'fsdepw_n', zdepw_b(:,:,:) ) ! need to compute volume      correction  ????
+      CALL iom_get( numror, jpdom_autoglo, 'fse3t_n' , ze3t_b(:,:,:) )  ! need to compute temperature correction
+      CALL iom_get( numror, jpdom_autoglo, 'fse3u_n' , ze3u_b(:,:,:) )  ! need to correct barotropic velocity
+      CALL iom_get( numror, jpdom_autoglo, 'fse3v_n' , ze3v_b(:,:,:) )  ! need to correct barotropic velocity
+      CALL iom_get( numror, jpdom_autoglo, 'fsdepw_n', zdepw_b(:,:,:) ) ! need to interpol vertical profile (vvl)
 
       !! read namelist
@@ -105,4 +106,5 @@
       !! next step is an euler time step
       neuler = 0
+
       !! set _b and _n variables equal
       tsb (:,:,:,:) = tsn (:,:,:,:)
@@ -110,4 +112,5 @@
       vb  (:,:,:  ) = vn  (:,:,:  )
       sshb(:,:    ) = sshn(:,:)
+
       !! set _b and _n vertical scale factor equal
       fse3t_b (:,:,:) = fse3t_n (:,:,:)
@@ -158,5 +161,5 @@
       !! allocate variables
       CALL wrk_alloc(jpi,jpj,jpk,2, zts0                                   )
-      CALL wrk_alloc(jpi,jpj,jpk,   ztmask0, ztmask1 , ztrp, ztmp3d         ) 
+      CALL wrk_alloc(jpi,jpj,jpk,   ztmask0, ztmask1 , ztrp, ztmp3d        ) 
       CALL wrk_alloc(jpi,jpj,jpk,   zwmaskn, zwmaskb                       ) 
       CALL wrk_alloc(jpi,jpj,       zsmask0, zsmask1                       ) 
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 5834)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 5835)
@@ -1399,5 +1399,5 @@
       !!                  ***  routine mpp_lnk_sum_3d  ***
       !!
-      !! ** Purpose :   Message passing manadgement (sum in the overlap region)
+      !! ** Purpose :   Message passing manadgement (sum the overlap region)
       !!
       !! ** Method  :   Use mppsend and mpprecv function for passing mask
@@ -1572,5 +1572,5 @@
       !!                  ***  routine mpp_lnk_sum_2d  ***
       !!
-      !! ** Purpose :   Message passing manadgement for 2d array (sum in the overlap region)
+      !! ** Purpose :   Message passing manadgement for 2d array (sum the overlap region)
       !!
       !! ** Method  :   Use mppsend and mpprecv function for passing mask
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/lib_fortran.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/lib_fortran.F90	(revision 5834)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/lib_fortran.F90	(revision 5835)
@@ -24,7 +24,7 @@
    PRIVATE
 
-   PUBLIC   glob_sum   ! used in many places
-   PUBLIC   glob_sum_full   ! used in many places
-   PUBLIC   DDPDD      ! also used in closea module
+   PUBLIC   glob_sum      ! used in many places (masked with tmask_i)
+   PUBLIC   glob_sum_full ! used in many places (masked with tmask_h, ie omly over the halos)
+   PUBLIC   DDPDD         ! also used in closea module
    PUBLIC   glob_min, glob_max
 #if defined key_nosignedzero
@@ -360,10 +360,10 @@
    FUNCTION glob_sum_full_2d( ptab )
       !!----------------------------------------------------------------------
-      !!                  ***  FUNCTION  glob_sum_2d ***
+      !!                  ***  FUNCTION  glob_sum_full_2d ***
       !!
       !! ** Purpose : perform a sum in calling DDPDD routine
       !!----------------------------------------------------------------------
       REAL(wp), INTENT(in), DIMENSION(:,:) ::   ptab
-      REAL(wp)                             ::   glob_sum_full_2d   ! global masked sum
+      REAL(wp)                             ::   glob_sum_full_2d   ! global sum (nomask)
       !!
       COMPLEX(wp)::   ctmp
@@ -387,10 +387,10 @@
    FUNCTION glob_sum_full_3d( ptab )
       !!----------------------------------------------------------------------
-      !!                  ***  FUNCTION  glob_sum_3d ***
+      !!                  ***  FUNCTION  glob_sum_full_3d ***
       !!
       !! ** Purpose : perform a sum on a 3D array in calling DDPDD routine
       !!----------------------------------------------------------------------
       REAL(wp), INTENT(in), DIMENSION(:,:,:) ::   ptab
-      REAL(wp)                               ::   glob_sum_full_3d   ! global masked sum
+      REAL(wp)                               ::   glob_sum_full_3d   ! global sum (nomask)
       !!
       COMPLEX(wp)::   ctmp